Endpoint Groups
Metrics and Freshness
Metrics and Freshness operations within the Semantic Layer API group.
Check metric freshnessGET
/metrics/{metricName}/freshness
Operation ID
checkMetricFreshnessPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
metricName |
string |
true |
- |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
semantic_model_id |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Check source freshnessGET
/sources/{sourceSchema}/{sourceTable}/freshness
Operation ID
checkSourceFreshnessPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
sourceSchema |
string |
true |
- |
sourceTable |
string |
true |
- |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_lag_seconds |
integer |
false |
- |
timestamp_column |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |